Catalog
Get a product
GET
integrationKeyheader
AuthorizationBearer <token>A brand integration key, created by an Owner or Admin in Brand Settings › Integrations and shown once.
endvr_ik_test_… keys write test data that is never billed; endvr_ik_live_… keys are live.
id*stringYour own product id.
Example
"prod_1001"The product, archived or not.
application/json- response
id*stringYour own product id.
title*stringdescription?stringurl?stringThe product page in your store.
Format
uriimageUrl?stringFormat
urivariants*array<>Items
1 <= items <= 250archived*booleanupdatedAt*stringFormat
date-timecurl -X GET 'https://api.endvr.io/v1/catalog/products/prod_1001'Example Response
{ "id": "string", "title": "string", "description": "string", "url": "http://example.com", "imageUrl": "http://example.com", "variants": [ { "id": "string", "sku": "string", "title": "string", "price": "129.90", "currency": "USD" } ], "archived": true, "updatedAt": "2019-08-24T14:15:22Z"}